% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assert_field_distinctness.R
\name{assert_field_distinctness}
\alias{assert_field_distinctness}
\title{Assert Field Uniqueness Consistency Between Data and Metadata}
\usage{
assert_field_distinctness(new_data, metadata)
}
\arguments{
\item{new_data}{A data frame. The dataset whose column uniqueness needs to be verified.}

\item{metadata}{A data frame. Metadata containing a column named \code{is_unique_column}, indicating whether each field is expected to be unique.}
}
\value{
No return value. The function issues warnings if any columns deviate from their expected uniqueness.
}
\description{
This function checks whether the uniqueness of columns in a new dataset matches the expected uniqueness
defined in a metadata reference. It warns if any columns do not conform to the expected uniqueness.
}
