% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assert_missing_values.R
\name{assert_missing_values}
\alias{assert_missing_values}
\title{Assert Consistency of Missing Values in Data}
\usage{
assert_missing_values(data, metadata)
}
\arguments{
\item{data}{A data frame. The dataset to check for missing values.}

\item{metadata}{A data frame. Metadata containing expected missing value percentages and valid value counts.
It must include the columns \code{raw_field_name}, \code{percentage_of_missing_values}, \code{count_of_valid_values},
and \code{preferred_field_name}.}
}
\value{
No return value. The function issues warnings if the actual missing value percentages
deviate significantly from the documented values.
}
\description{
This function checks whether the percentage of missing values in a dataset matches the documented percentage
in a metadata reference. It warns if there are significant discrepancies.
}
