% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assert_range_validation.R
\name{assert_range_validation}
\alias{assert_range_validation}
\title{Assert Range Validation for Data Fields}
\usage{
assert_range_validation(data, metadata)
}
\arguments{
\item{data}{A data frame. The dataset containing the fields to validate.}

\item{metadata}{A data frame. Metadata containing expected minimum and maximum values for each field.
It must include the columns \code{raw_field_name}, \code{min}, \code{max}, and \code{preferred_field_name}.}
}
\value{
No return value. The function issues warnings if any values fall outside the expected range.
}
\description{
This function checks whether the values in a dataset fall within the expected minimum and maximum range
as specified in the metadata. It warns if any values violate the expected range.
}
