% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/remove_duplicates_and_na.R
\name{remove_duplicates_and_na}
\alias{remove_duplicates_and_na}
\title{Remove Duplicates and NA Values from Input}
\usage{
remove_duplicates_and_na(input)
}
\arguments{
\item{input}{A vector or data frame.}
}
\value{
A vector or data frame with duplicate values and NA values removed.
}
\description{
This function removes duplicate values and NA values from the input.
It first removes NA values from the input using the \code{na.omit} function from the \code{stats} package.
Then it removes duplicate values from the result using the \code{unique} function.
}
\examples{
# Create a vector with duplicate values and NA values
input <- c(1, 2, NA, 2, NA, 3, 4, 4, NA, 5)
# Remove duplicate values and NA values
output <- remove_duplicates_and_na(input)
print(output)

}
